/* Copyright (C) 2014 by Bundesamt für Sicherheit in der Informationstechnik
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU GPL (v>=2)
 * and comes with ABSOLUTELY NO WARRANTY!
 * See LICENSE.txt for details.
 */


/**
 * @file sslhelp.h
 * @brief Helper functions to combine Qt with Polarssl
 */
#include <polarssl/error.h>

#include <QString>

/** @brief get a human readable error message for a polarssl return code
 *
 * @param [in] ret A polarssl error code
 * @returns A QString representation of that error
 */
QString getPolarSSLErrorMsg(int ret);
